Package org.stianloader.micromixin.transform.internal.util.commenttable

## Class TabularTableSection

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.commenttable.TabularTableSection

- All Implemented Interfaces:
    `CommentTableSection`

      public class TabularTableSection
      extends java.lang.Object
      implements CommentTableSection

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TabularTableSection()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TabularTableSection` | `addRow​(java.lang.String... rowEntries)` |
    `int` | `getColumnCount()` |
    `int` | `getColumnWidth​(int columnId)` |
    `int[]` | `getColumnWidths()` |
    `java.util.List<java.lang.String>` | `getLines()` |
    `int` | `getPreferedWidth()` |
    `int` | `getRowCount()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TabularTableSection

          public TabularTableSection()

  - ### Method Detail

    - #### addRow

          @NotNull
          @Contract(mutates="this",
                    pure=false,
                    value="null -> fail; !null -> this")
          public TabularTableSection addRow​(@NotNull
                                            java.lang.String... rowEntries)

    - #### getColumnWidth

          @Contract(pure=true)
          public int getColumnWidth​(int columnId)

    - #### getColumnCount

          @Contract(pure=true)
          public int getColumnCount()

    - #### getColumnWidths

          @NotNull
          @Contract(pure=true,
                    value="-> new")
          public int[] getColumnWidths()

    - #### getRowCount

          @Contract(pure=true)
          public int getRowCount()

    - #### getPreferedWidth

          @Contract(pure=true)
          public int getPreferedWidth()

      Specified by:
        `getPreferedWidth` in interface `CommentTableSection`

    - #### getLines

          @NotNull
          @Contract(pure=true,
                    value="-> new")
          public java.util.List<java.lang.String> getLines()

      Specified by:
        `getLines` in interface `CommentTableSection`